#include "Animation.h"


Animation::Animation(Uint32 tempsFrequence)
:m_tempsFrequence(tempsFrequence),m_tempsDepart(0),m_imageActive(0)
{

}///Animation()

Animation::~Animation()
{
    while (!m_bande.empty())
    {
        if (m_bande.back()!=0)
            SDL_FreeSurface(m_bande.back());
        m_bande.pop_back();
    }
}///~Animation()

void Animation::play()
{
    m_tempsDepart=SDL_GetTicks();
}///play()

void Animation::pause()
{
    //Set pause --'
}///pause()

void Animation::stop()
{
    //Stop ! *0*
}///stop()
